# -*- coding: utf-8 -*-
"""
Copyright (c) 2016 Biuro Urządzania Lasu i Geodezji Leśnej

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
OTHER DEALINGS IN THE SOFTWARE.
"""
from Mapa_PU.kontroler import komunikaty


"""Wczytanie biblioteki dll"""
#Marcin Śliwa

def kontroluj_biblioteke(katalog):
    """Kontroluje czy wczytanie biblioteki do pamięci nie zgłasza błedu
    :param katalog: katalog z biblioteką dll
    
    """
    try:
        import win32file
        type=win32file.GetBinaryType(u'%s\\TaksatorPU.exe' % katalog)
        if type==6:
            return True
        
        return False
    except Exception as e:
        komunikaty.blad_systemowy(e)
        #return False

class Biblioteka:
    """Dodaje bibliotekę do Assembly"""
     
    def __init__(self,katalogZasobow):
        """konstruktor"""
        try:
            import dotnet.seamless
            dotnet.add_assemblies(katalogZasobow.encode("utf-8"))
            
        except Exception as e:
            komunikaty.blad_systemowy(e)
    
            
    def zaladujZasob(self,nazwa):
        """Ładuje zasób assembly do pamięci
        :param nazwa: nazwa zasobu
        """
        try:
            import dotnet.seamless
            dotnet.load_assembly(nazwa)
           
        except Exception as e:
            komunikaty.blad_systemowy(e)